Debian DSA-1252-1 : vlc - format string

Medium Nessus Plugin ID 24291

Synopsis

The remote Debian host is missing a security-related update.

Description

Kevin Finisterre discovered several format string problems in vlc, a multimedia player and streamer, that could lead to the execution of arbitrary code.

Solution

Upgrade the vlc packages.

For the stable distribution (sarge) this problem has been fixed in version 0.8.1.svn20050314-1sarge2.

See Also

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=405425

http://www.debian.org/security/2007/dsa-1252

Plugin Details

Severity: Medium

ID: 24291

File Name: debian_DSA-1252.nasl

Version: 1.15

Type: local

Agent: unix

Published: 2007/02/09

Updated: 2018/07/20

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:vlc, cpe:/o:debian:debian_linux:3.1

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/01/27

Vulnerability Publication Date: 2007/01/02

Reference Information

CVE: CVE-2007-0017

BID: 21852

DSA: 1252